petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSRosWRegister

register a Rosenbrock W scheme by providing the entries in the Butcher tableau and optionally embedded approximations and interpolation

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRosWRegister(TSRosWType name,PetscInt order,PetscInt s,const PetscReal A[],const PetscReal Gamma[],const PetscReal b[],const PetscReal bembed[],
                                  PetscInt pinterp,const PetscReal binterpt[])

Not Collective, but the same schemes should be registered on all processes on which they will be used Many br

### Input Parameters

| name | - identifier for method Many br
| order | - approximation order of method Many br
| s | - number of stages, this is the dimension of the matrices below Many br
| A | - Table of propagated stage coefficients (dimension s*s, row-major), strictly lower triangular Many br
| Gamma | - Table of coefficients in implicit stage equations (dimension s*s, row-major), lower triangular with nonzero diagonal Many br
| b | - Step completion table (dimension s) Many br
| bembed | - Step completion table for a scheme of order one less (dimension s, NULL if no embedded scheme is available) Many br
| pinterp | - Order of the interpolation scheme, equal to the number of columns of binterpt Many br
| binterpt | - Coefficients of the interpolation formula (dimension s*pinterp) Many br

### Notes

Several Rosenbrock W methods are provided, this function is only needed to create new methods. Many br

Many br

### Keywords

TS, register

### See Also

TSRosW

Level:advanced
Location:src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages